## maui-station 4.0.2

=== debian/changelog ===
maui-station (4.0.2-0zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:13:35 +0000

maui-station (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 May 2025 19:53:22 +0000

maui-station (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2024 19:49:36 +0000

maui-station (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2024 19:49:31 +0000

maui-station (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:35:10 +0000

station (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Aug 2023 05:35:07 +0000

station (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Aug 2023 05:35:07 +0000

station (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000
