=== debian/control ===
Source: maui-station
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               libmauikitterminal-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-station
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-station.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-station
Maintainer: Neon CI <neon@kde.org>

Package: maui-station
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-terminal,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui - Convergent terminal emulator
 Terminal emulator with quick functions support for touch.

Package: station
Depends: maui-station, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
