## maui-station 4.0.2+p24.04+vstable+git20251015.1911

=== debian/changelog ===
maui-station (4.0.2+p24.04+vstable+git20251015.1911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:11:47 +0000
