=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake
