## maui-station 4.0.2+p24.04+vunstable+git20251123.2001

=== debian/changelog ===
maui-station (4.0.2+p24.04+vunstable+git20251123.2001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 20:01:40 +0000
